Summary:	C++ xslt library
Summary(pl.UTF-8):	Biblioteka xslt dla C++
Name:		xalan-c
Version:	1.12
Release:	1
License:	Apache v2.0
Group:		Applications/Publishing/XML
Source0:	https://downloads.apache.org/xalan/xalan-c/sources/xalan_c-%{version}.tar.gz
# Source0-md5:	fa4fd34a03ae389b26166c5455b90768
URL:		https://xalan.apache.org/
BuildRequires:	cmake >= 3.2
BuildRequires:	doxygen
BuildRequires:	libicu-devel
BuildRequires:	libstdc++-devel >= 6:5
BuildRequires:	util-linux
BuildRequires:	xerces-c-devel >= 3.1.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Apache Xalan Project is a collaborative software development project
dedicated to providing robust, full-featured, commercial-quality, and
freely available XSLT support on a wide variety of platforms.

This package contains C++ implementation of Xalan.

%description -l pl.UTF-8
Projekt Apache Xalan to wspólny projekt stworzenia oprogramowania
mającego zapewnic potężną, w pełni funkcjonalną, mającą komercyjną
jakość i jednocześnie wolnodostępną obsługę XSLT na szerokim zakresie
platform.

Ten pakiet zawiera bibliotekę Xalan dla języka C++.

%package devel
Summary:	xalan-c header files
Summary(pl.UTF-8):	Pliki nagłówkowe xalan-c
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
xalan-c header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe xalan-c.

%package docs
Summary:	Documentation for xalan-c
Summary(pl.UTF-8):	Dokumentacja xlan-c
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description docs
Documentation for xalan-c.

%description docs -l pl.UTF-8
Dokumentacja xalan-c.

%package examples
Summary:	xalan-c examples
Summary(pl.UTF-8):	Przykłady dla xalan-c
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description examples
xalan-c examples.

%description examples -l pl.UTF-8
Przykłady dla xalan-c.

%prep
%setup -q -n xalan_c-%{version}

%build
install -d build
cd build
%cmake ..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/api

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -pr samples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc KEYS NOTICE README.md readme.html
%attr(755,root,root) %{_bindir}/Xalan
%attr(755,root,root) %{_libdir}/libxalan-c.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxalan-c.so.112
%attr(755,root,root) %{_libdir}/libxalanMsg.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxalanMsg.so.112

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxalan-c.so
%attr(755,root,root) %{_libdir}/libxalanMsg.so
%{_includedir}/xalanc
%{_pkgconfigdir}/xalan-c.pc
%{_libdir}/cmake/XalanC

%files docs
%defattr(644,root,root,755)
%doc build/docs/doxygen/api/{*.css,*.html,*.js,*.png,*.svg}

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Feb 11 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xalan-c.git;a=log;h=master

* Sun Feb 11 2024 Jakub Bogusz <qboosh@pld-linux.org> cdb8175
- updated to 1.12

* Thu Nov 23 2017 Jakub Bogusz <qboosh@pld-linux.org> 7add79e
- updated to 1.11 release (as 1.11.0 to avoid epoch bump)
- removed obsolete include patch

* Sun Nov 12 2017 Jan Rękorajski <baggins@pld-linux.org> e9a8fd1
- release 5 (by relup.sh)

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> 4f6012c
- x32 rebuild

* Fri Jun 10 2011 lisu <lisu@pld-linux.org> 5fc079a
- rel 3

* Tue Feb 08 2011 Elan Ruusamäe <glen@pld-linux.org> 8c2335b
- do not package backup file

* Sat Feb 05 2011 sparky <sparky@pld-linux.org> 811bb1d
- %description <name> for correct %package

* Sun Nov 14 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4eb586e
- up to 1.11.0 snap

* Sun Nov 14 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7a82262
- release 8

* Tue Jun 15 2010 hawk <hawk@pld-linux.org> bd3bef4
- release 7

* Wed Sep 23 2009 Elan Ruusamäe <glen@pld-linux.org> 2c99aab
- fix build with icu 4.2; rel 6

* Mon Sep 29 2008 Jakub Bogusz <qboosh@pld-linux.org> 2682102
- no extra nl

* Sun Sep 28 2008 pawelz <pawelz@pld-linux.org> 0894bf6
- better Group for -doc and -examples
- one less subdir in -doc and -examples

* Sun Sep 28 2008 pawelz <pawelz@pld-linux.org> a4a2a8b
- fixed %doc
- adapterized
- rel 5

* Sun Sep 28 2008 pawelz <pawelz@pld-linux.org> 4d83d7f
- unified %files
- added %doc
- fixed desc: It is an xslt processor, not an xml parser.

* Sun Sep 28 2008 pawelz <pawelz@pld-linux.org> 37944ef
- do not use %doc to package apidocs
- removed CVS dirs from samples and xdocs trees

* Sun Sep 28 2008 pawelz <pawelz@pld-linux.org> 1d347d7
- split examples into subpackage

* Mon Jul 14 2008 qrczak <qrczak@pld-linux.org> 825d9a2
- xalan-c-include.patch: added missing #include <cstring>
- Release 4

* Sat Feb 09 2008 Jakub Bogusz <qboosh@pld-linux.org> 7507a50
- unified License format

* Tue Jan 22 2008 hawk <hawk@pld-linux.org> af6a1a1
- release 3

